#!/usr/bin/env python

import os
import sys
import gtk
import webkit

NAME = 'GtkApp'
__version__ = '0.0.1'
VERSIONSTR = '{} v. {}'.format(NAME, __version__)


class App(gtk.Window):
    """ Main window with all components. """

    def __init__(self):
        gtk.Window.__init__(self)
        self.builder = gtk.Builder()
        gladefile = 'gcode.glade'
        if not os.path.exists(gladefile):
            # Look for glade file in this project's directory.
            gladefile = os.path.join(sys.path[0], gladefile)

        try:
            self.builder.add_from_file(gladefile)
        except Exception as ex:
            print('\nError building main window!\n{}'.format(ex))
            sys.exit(1)

        # Get gui objects
        self.by_type = self.builder.get_object('by_type')
        self.by_use = self.builder.get_object('by_use')
        self.label10 = self.builder.get_object('label10')
        self.label11 = self.builder.get_object('label11')
        self.label12 = self.builder.get_object('label12')
        self.label5 = self.builder.get_object('label5')
        self.label6 = self.builder.get_object('label6')
        self.label7 = self.builder.get_object('label7')
        self.notebook1 = self.builder.get_object('notebook1')
        self.notebook3 = self.builder.get_object('notebook3')
        self.scrolledwindow1 = self.builder.get_object('scrolledwindow1')
        self.scrolledwindow2 = self.builder.get_object('scrolledwindow2')
        self.vbox1 = self.builder.get_object('vbox1')
        self.window1 = self.builder.get_object('window1')

        # Connect all signals.
        self.builder.connect_signals(self)
        bro = webkit.WebView()
        self.scrolledwindow1.add(bro)
        bro.open("www.google.com")
        # Show the main window.
        self.window1.show_all()

    def on_window1_destroy(self, widget, user_data=None):
        """ Handler for on.destroy. """
        gtk.main_quit()
        pass


def main():
    """ Main entry point for the program. """
    app = App()  # noqa
    return gtk.main()


if __name__ == '__main__':
    mainret = main()
    sys.exit(mainret)
